Chat-id routes
Chat-id events
Record a viewer event on a Deep Reader document.
POST
/
api
/
v2
/
documents
/
{id}
/
events
/
Record analytics event
curl --request POST \
--url https://api.example.com/api/v2/documents/{id}/events/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_type": "<string>",
"download_type": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/documents/{id}/events/"
payload = {
"content_type": "<string>",
"download_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_type: '<string>', download_type: '<string>'})
};
fetch('https://api.example.com/api/v2/documents/{id}/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Records a viewer event (copy, download) against a Deep Reader chat. Not billed.
Authorizations
extractApiKeybearerAuthcookieAuth
Body
application/json
Response
No response body
⌘I
Record analytics event
curl --request POST \
--url https://api.example.com/api/v2/documents/{id}/events/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content_type": "<string>",
"download_type": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/documents/{id}/events/"
payload = {
"content_type": "<string>",
"download_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content_type: '<string>', download_type: '<string>'})
};
fetch('https://api.example.com/api/v2/documents/{id}/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
